Issue 74477 - Preview Web_Html In Writer
Summary: Preview Web_Html In Writer
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: OOo 2.1
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.3
Assignee: eric.savary
QA Contact: issues@framework
URL: http://specs.openoffice.org/appwide/w...
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-13 01:38 UTC by liujiaxiang
Modified: 2007-07-06 16:20 UTC (History)
5 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
this is the patch file (14.29 KB, patch)
2007-02-26 07:11 UTC, liujiaxiang
no flags Details | Diff
this is the patch file (13.19 KB, patch)
2007-03-09 02:00 UTC, liujiaxiang
no flags Details | Diff
Test Case Specification (2.83 KB, text/html)
2007-05-04 12:57 UTC, eric.savary
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description liujiaxiang 2007-02-13 01:38:54 UTC
Added a new menu item in the File menu which named 'Web Html'. This menu item 
can make the current document browsed in web page. text, picture and media 
that can be edit in the document are all can be browsed successful. 
you can discuss and give me your opinion in this page:
http://wiki.services.openoffice.org/mwiki/index.php?
title=Development/Web_HTML&redirect=no
You also can download the Specification in the 
http://wiki.services.openoffice.org/wiki/Image:Preview_Web_Html_Specification.o
dt
Comment 1 liujiaxiang 2007-02-13 01:39:50 UTC
confirm
Comment 2 liujiaxiang 2007-02-13 01:40:20 UTC
change the milestone
Comment 3 carsten.driesner 2007-02-13 14:41:57 UTC
cd->liutao: I need access to your changes to accept your feature. Could you
please attach your code changes to this feature task.
Comment 4 carsten.driesner 2007-02-19 10:51:09 UTC
cd: Still waiting for patch.
Comment 5 liujiaxiang 2007-02-26 07:11:27 UTC
Created attachment 43364 [details]
this is the patch file
Comment 6 liujiaxiang 2007-02-26 07:13:00 UTC
I am so sorry for the long time to response.
Bescause the two weeks vacation.
Comment 7 carsten.driesner 2007-03-01 13:49:17 UTC
cd: Accepted, now we have a patch.

cd->liutao: I will check your patch and give you feedback as soon as possible.
Comment 8 carsten.driesner 2007-03-06 09:07:38 UTC
cd->liutao: I checked your patch and have one question regarding your changes.
Why do you have to change the code in shell/source/unix/exec/shellexec.cxx and
why do you have to make it platform dependent with #ifdef LINUX?
As far as I know the current implementation supports to open html/htm files in
the brower under Linux.
Comment 9 liujiaxiang 2007-03-07 05:30:45 UTC
liutao->cd: With regard to this new feature, we think it should be make it 
platform dependent with #ifdef LINUX. 
there are also #ifdef MACOSX in shell/source/unix/exec/shellexec.cxx 
What is your opinion?do you think how to change the code is suitable?:)
Comment 10 carsten.driesner 2007-03-07 08:39:30 UTC
cd: Set obr on CC.
Comment 11 nospam4obr 2007-03-07 08:55:41 UTC
The shell part of the patch seems to be against SRX645 codeline. Meanwhile the
implementation of shellexec.cxx has changed a lot, so this part of the patch
will simply not apply (and might not even be necessary anymore for the feature
to work).
Comment 12 liujiaxiang 2007-03-09 02:00:09 UTC
liutao->obr: You are right I have checked the code in shellexec.cxx (1.16) and 
compiled in linux. It is not necessary for the new feature to work.
liutao->cd: The change of code in shell/source/unix/exec/shellexec.cxx is not 
necessary.please check it again. I will upload the update patch ASAP.
Comment 13 liujiaxiang 2007-03-09 02:00:47 UTC
Created attachment 43609 [details]
this is the patch file
Comment 14 liujiaxiang 2007-03-14 02:22:58 UTC
waiting for review.
Comment 15 carsten.driesner 2007-03-14 08:55:25 UTC
cd->liutao: I reviewed your changes and accept them, although I had to change
some parts a little and had to add some missing information. I will upload the
final patch so you see what I had to change. 
Currently I create installation sets for the User Experience Team so they can
have a look about the UI integration. The user interface should be consistent
therefore we need the approval from the User Experience Team. Please stay tuned,
I will inform as soon as I get an answer from the User Experience Team.
Comment 16 carsten.driesner 2007-03-23 13:01:03 UTC
cd->liutao: There is a discussion ongoing on the User Experience mailing list
discuss@ux.openoffice.org about "How this feature could be integrated into the
OpenOffice.org user interface". May be you want to join this discussion. I hope
that User Experience will finalize their opinion latest end of next week.
Comment 17 frank.loehmann 2007-04-02 15:03:59 UTC
Please find the updated spec here:
http://specs.openoffice.org/appwide/menus/web_preview/Web_Preview_Specification.odt
Furthermore I have updated the related specification for the file menu:
http://specs.openoffice.org/appwide/menus/FileMenu.sxw
Comment 19 carsten.driesner 2007-04-11 14:02:31 UTC
cd: Changes approved by User Experience Team.
Comment 20 carsten.driesner 2007-04-11 14:04:12 UTC
cd->sba: Please verify that the feature complies to the specification.
Comment 21 stefan.baltzer 2007-04-12 11:03:43 UTC
SBA->ES: As discussed, please proceed.
Comment 22 eric.savary 2007-04-12 14:46:23 UTC
I added issue 76308 and issue 76310, resp. for Impress and Calc.
Changed summary.
Comment 23 carsten.driesner 2007-05-03 12:32:53 UTC
cd: Changed URL field to reflect the correct path to the specification.
Comment 24 eric.savary 2007-05-04 12:56:21 UTC
Attaching Test Case Specification 
Comment 25 eric.savary 2007-05-04 12:57:21 UTC
Created attachment 44862 [details]
Test Case Specification
Comment 26 eric.savary 2007-05-14 13:28:56 UTC
VERIFIED in CWS webhtml
Comment 27 eric.savary 2007-07-06 16:20:45 UTC
Ok in m219